<div class="container">
  <div class="content">
    <div class="content-wrapper">
      <form [formGroup]="predictionForm" (ngSubmit)="onSubmit()">
        <div class="form-row">
          <div class="form-group col-md-12">
            <label for="eventName">Event Name</label>
            <select formControlName="event_id" id="eventName" class="form-control">
              <option disabled selected>Choose event...</option>
              <ng-container *ngFor="let item of data">
                <option [value]="item.id">{{ item.name }}</option>
              </ng-container>
            </select>
            <span *ngIf="!predictionForm.get('event_id').valid && predictionForm.get('event_id').touched"
                  class="help-block text-danger">
              Event name is required
            </span>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-12">
            <label for="predictionType">Prediction Type</label>
            <select formControlName="market_type" id="predictionType" class="form-control">
              <option disabled selected>Choose prediction type...</option>
              <ng-container *ngFor="let item of marketType">
                <option [value]="item.name">{{ item.title }}</option>
              </ng-container>
            </select>
            <span *ngIf="!predictionForm.get('market_type').valid && predictionForm.get('market_type').touched"
                  class="help-block text-danger">
              Prediction type is required
            </span>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-12">
            <label for="result">Prediction</label>
            <input formControlName="prediction" type="text" class="form-control" id="result" placeholder="Prediction">
            <span *ngIf="!predictionForm.get('prediction').valid && predictionForm.get('prediction').touched"
                  class="help-block text-danger">
              Prediction is required
            </span>
          </div>
        </div>
        <button type="submit" class="btn btn-primary">Add Prediction</button>
      </form>
    </div>
  </div>
</div>
